USE AdventureWorks2008R2
GO
-- returns persons full name
IF OBJECT_ID('') IS NOT NULL
DROP FUNCTION dbo.GetFullName
GO
Create function dbo.GetFullName
(
	@BusinessEntityid int
)
RETURNS nvarchar(300)
AS
BEGIN
Declare @name nvarchar(300)
SELECT @name=Suffix + ' ' + FirstName + ' ' + MiddleName + ' ' + LastName 
from Person.Person where BusinessEntityID=@BusinessEntityid
RETURN @name
END
GO
select  
	Person.BusinessEntityID,
	Person.Title,
	dbo.GetFullName(Person.BusinessEntityID) AS FullName
from Person.Person

-- Let's see what's in profiler?
GO
-- Solution ???


